Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Interface Options

All Known Implementing Classes:
  EmbededServletOptions, JspC

public interface Options

A class to hold all init parameters specific to the JSP engine.

Author:
  Anil K. Vijendran, Hans Bergsten, Pierre Delisle

Method Summary
`boolean` | `getClassDebugInfo()` Should we include debug information in compiled class?
`java.lang.String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
`java.lang.String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`java.lang.String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`java.lang.String` | `getJspCompilerPath()` Path of the compiler to use for compiling JSP pages.
`java.lang.Class` | `getJspCompilerPlugin()` What compiler plugin should I use to compile the servlets generated from JSP files?
`boolean` | `getKeepGenerated()` Are we keeping generated code around?
`boolean` | `getLargeFile()` Are we supporting large files?
`boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
`java.io.File` | `getScratchDir()` What is my scratch dir?
`boolean` | `getSendErrorToClient()` Should errors be sent to client or thrown into stderr?
`TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.

Method Detail

### getKeepGenerated

    public boolean getKeepGenerated()

  Are we keeping generated code around?

### getLargeFile

    public boolean getLargeFile()

  Are we supporting large files?

### getMappedFile

    public boolean getMappedFile()

  Are we supporting HTML mapped servlets?

### getSendErrorToClient

    public boolean getSendErrorToClient()

  Should errors be sent to client or thrown into stderr?

### getClassDebugInfo

    public boolean getClassDebugInfo()

  Should we include debug information in compiled class?

### getIeClassId

    public java.lang.String getIeClassId()

  Class ID for use in the plugin tag when the browser is IE.

### getScratchDir

    public java.io.File getScratchDir()

  What is my scratch dir?

### getClassPath

    public java.lang.String getClassPath()

  What classpath should I use while compiling the servlets generated from JSP files?

### getJspCompilerPlugin

    public java.lang.Class getJspCompilerPlugin()

  What compiler plugin should I use to compile the servlets generated from JSP files?

### getJspCompilerPath

    public java.lang.String getJspCompilerPath()

  Path of the compiler to use for compiling JSP pages.

### getTldLocationsCache

    public TldLocationsCache getTldLocationsCache()

  The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).
  Returns:
    the instance of the TldLocationsCache for the web-application.

### getJavaEncoding

    public java.lang.String getJavaEncoding()

  Java platform encoding to generate the JSP page servlet.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.